Skip to Content
Torque Lift Docs
Your numbers

Get growth accounting

GET
/v1/growth_accounting

Active, new, retained, resurrected and churned users per period, with the saved query that produced them (query).

Authorization

HTTPBearer
headerAuthorizationBearer <token>

A secret key, tl_live_...

Query Parameters

grain?Grain

day, week, month, or a rolling window such as l28.

Match^(day|week|month|l\d{1,3})$
Default"week"
bucket?Bucket

An event bucket, or all for overall activity.

Length1 <= length <= 64
Default"__all__"
since?|

Default 90 days ago.

Header Parameters

Torque-Tenant?|

An operator key's tenant to read; refused with a tenant's key.

Torque-Version?string|null

Response Body

Successful Response

application/json
  1. response
object?Object
Default"list"
data*array<>
has_more*Has More
query*
Example Request
curl -X GET 'https://api.torquelift.ai/v1/growth_accounting'
Example Response
{  "object": "list",  "data": [    {      "object": "growth_period",      "grain": "string",      "bucket": "string",      "period_start": "string",      "period_end": "string",      "period_label": "string",      "active": 0,      "new_users": 0,      "retained": 0,      "resurrected": 0,      "churned": 0,      "net_change": 0,      "quick_ratio": 0,      "retention_rate": 0,      "churn_rate": 0,      "is_complete": true,      "is_warmup": true    }  ],  "has_more": true,  "query": {    "name": "string",    "sha256": "string",    "model": "string",    "params": {      "property1": "string",      "property2": "string"    },    "ran_at": "string"  }}